@keyframes warble {
  0% {
    transform: scaleX(1);
  }
  20% {
    transform: scaleX(1.0001) skew(0.0005deg);
  }
  40% {
    transform: scaleX(0.9999) skew(-0.00005deg);
  }
  60% {
    transform: scaleX(1.0001) skew(0.00008deg);
  }
  80% {
    transform: scaleX(0.9999) skew(-0.00008deg);
  }
  100% {
    transform: scaleX(1);
  }
}
@keyframes text-pulse {
  0% {
    color: #a185c4;
  }
  20% {
    color: #7794b5;
  }
  40% {
    color: #9ac8af;
  }
  80% {
    color: #c0c5d2;
  }
  100% {
    color: #a185c4;
  }
}
@keyframes scanline {
  0% {
    transform: translate3d(0, 200000%, 0);
  }
}
@keyframes scanlines {
  0% {
    background-position: 0 50%;
  }
}
@keyframes border-alternate {
  0% {
    border-top: solid 2px rgba(192, 197, 210, 0.05);
    border-left: solid 2px rgba(192, 197, 210, 0.05);
    border-bottom: solid 2px rgba(143, 151, 212, 0.45);
    border-right: solid 2px rgba(192, 197, 210, 0.45);
  }
  49.999% {
    border-top: solid 2px rgba(192, 197, 210, 0.75);
    border-left: solid 2px rgba(192, 197, 210, 0.75);
    border-bottom: solid 2px rgba(192, 197, 210, 0.25);
    border-right: solid 2px rgba(192, 197, 210, 0.45);
  }
  50% {
    border-top: solid 2px rgba(192, 197, 210, 0.45);
    border-left: solid 2px rgba(192, 197, 210, 0.45);
    border-bottom: solid 2px rgba(192, 197, 210, 0.6);
    border-right: solid 2px rgba(192, 197, 210, 0.45);
  }
  100% {
    border-top: solid 2px rgba(192, 197, 210, 0.05);
    border-left: solid 2px rgba(192, 197, 210, 0.05);
    border-bottom: solid 2px rgba(143, 151, 212, 0.45);
    border-right: solid 2px rgba(192, 197, 210, 0.25);
  }
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

html {
  overflow: hidden;
}

body:before,
body:after {
  display: block;
  pointer-events: none;
  content: '';
  position: absolute;
}
body:before {
  width: 100%;
  height: 2px;
  z-index: 2147483649;
  background: rgba(#282b2c, 0.3);
  opacity: 0.75;
  animation: scanline 60s linear infinite;
}
body:after {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2147483648;
  background: linear-gradient(to bottom, transparent 50%, rgba(0, 0, 0, 0.2) 51%);
  background-size: 100% 4px;
  animation: scanlines 1s steps(60) infinite;
}
html.int1 body:before {
  background: rgba(#151616, 0.3);
  animation: scanline 120s linear infinite;
}
html.int1 body {
  filter: blur(0.3px);
}
html.int1 body:after {
  animation: scanlines 1s steps(20) infinite;
}
html.int2 body:before, html.int3 body:before {
  animation: scanline 120s linear infinite;
}
html.int2 body {
  filter: blur(0.5px);
  animation: warble 20s ease-in-out infinite;
}
html.int2 body:after, html.int3 body:after {
  animation: scanlines 1s steps(20) infinite;
}
html.int3 body {
  filter: blur(0.75px) contrast(0.95);
  animation: warble 10s ease-in-out infinite;
}
nav {
  float: right;
  width: 350px;
  text-align: center;
}
ul {
  display: inline-block;
  margin: 0;
  list-style-type: none;
  padding: 0;
}
ul.scanlines {
  position: absolute;
}
ul iframe,
ul video,
ul .jpg {
  width: calc(100vw - 350px);
  height: 95vh;
  border: none;
}

body {
  margin: 0;
}

article, aside, footer, header, nav, section {
  display: block;
}

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

figcaption, figure, main {
  display: block;
}

figure {
  margin: 1em 40px;
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

pre {
  font-family: monospace, monospace;
  font-size: 1em;
}

a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}

abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

b, strong {
  font-weight: inherit;
}

b, strong {
  font-weight: bolder;
}

code, kbd, samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

dfn {
  font-style: italic;
}

mark {
  background-color: #ff0;
  color: #000;
}

small {
  font-size: 80%;
}

sub, sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

audio, video {
  display: inline-block;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

img {
  border-style: none;
}

svg:not(:root) {
  overflow: hidden;
}

button, input, optgroup, select, textarea {
  font-family: sans-serif;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}

button, input {
  overflow: visible;
}

input:hover, button:hover, label:hover {
  cursor: pointer;
}

button, select {
  text-transform: none;
}

button, html [type=button], [type=reset], [type=submit] {
  -webkit-appearance: button;
}

button::-moz-focus-inner, [type=button]::-moz-focus-inner, [type=reset]::-moz-focus-inner, [type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

button:-moz-focusring, [type=button]:-moz-focusring, [type=reset]:-moz-focusring, [type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

fieldset {
  padding: 0;
  margin: 0;
  transition: all 0.2s ease;
  animation: border-alternate 45s linear infinite;
}

legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}

progress {
  display: inline-block;
  vertical-align: baseline;
}

textarea {
  overflow: auto;
}

[type=checkbox], [type=radio] {
  box-sizing: border-box;
  padding: 0;
}

[type=number]::-webkit-inner-spin-button, [type=number]::-webkit-outer-spin-button {
  height: auto;
}

[type=search] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}

[type=search]::-webkit-search-cancel-button, [type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}

details, menu {
  display: block;
}

summary {
  display: list-item;
}

canvas {
  display: inline-block;
}

template {
  display: none;
}

[hidden] {
  display: none;
}

.clearfix:after {
  visibility: hidden;
  display: block;
  font-size: 0;
  content: "";
  clear: both;
  height: 0;
}

html {
  box-sizing: border-box;
}

*, *:before, *:after {
  box-sizing: inherit;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

@font-face {
  font-family: "Source Code Pro";
  src: url(/fonts/source_code_pro/SourceCodePro-VariableFont_wght.ttf) format("truetype");
  font-display: swap;
}
* {
  font-size: 15px;
}

body, header, footer, button, select, a {
  color: #c0c5d2;
}

footer a {
  color: #a185c4;
  animation: footer-link-pulse 75s linear infinite;
}

body, button, input, select {
  font-family: "Source Code Pro", monospace;
  font-display: swap;
  font-weight: 500;
  line-height: 1.6;
  text-decoration: none;
}

footer p, footer a {
  opacity: 0.85;
  font-size: 0.75rem;
  max-width: 1000px;
  margin: 0;
}

footer button {
  animation: text-pulse 75s linear infinite;
}

html {
  background: #282b2c;
  transition: background 0.5s ease;
}

html.end {
  background: #1e1e1e !important;
}

html.int2, html.int3 {
  background: #252425;
}

html.blue {
  background: #262c35;
}

html.orange {
  background: #36332f;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}

main {
  text-transform: lowercase;
  padding: 25px;
  padding-bottom: 15px;
  width: 100%;
  max-width: 750px;
  margin: 0 auto;
}

fieldset {
  max-width: 750px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 15px;
  padding-top: 10px;
}

fieldset p {
  max-width: calc(100vw - 85px);
  margin: 0;
  word-wrap: break-word;
}

main button {
  width: 100%;
  max-width: 750px;
  margin: 0 auto;
}

label {
  display: flex;
  align-items: center;
  gap: 10px;
}

footer {
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
  padding: 0 25px;
}

footer p {
  width: 100%;
  max-width: 700px;
  text-align: left;
  display: flex;
  justify-content: space-between;
  gap: 25px;
}

input {
  transition: all 0.2s ease;
}

button {
  background-color: #282b2c;
  border-top: solid 2px rgba(192, 197, 210, 0.45);
  border-left: solid 2px rgba(192, 197, 210, 0.45);
  border-bottom: solid 2px rgba(192, 197, 210, 0.45);
  border-right: solid 2px rgba(192, 197, 210, 0.45);
  color: #c0c5d2;
  text-align: left;
  padding: 5px 15px;
  transition: all 0.2s ease;
  animation: border-alternate 45s linear infinite;
}

fieldset img {
  border-top: solid 2px rgba(192, 197, 210, 0.45);
  border-left: solid 2px rgba(192, 197, 210, 0.45);
  border-bottom: solid 2px rgba(192, 197, 210, 0.45);
  border-right: solid 2px rgba(192, 197, 210, 0.45);
  animation: border-alternate 45s linear infinite;
  image-rendering: pixelated;
}

button:hover, button:focus {
  border-top: solid 2px rgba(192, 197, 210, 0.45);
  border-left: solid 2px rgba(192, 197, 210, 0.45);
  border-bottom: solid 2px rgba(192, 197, 210, 0.6);
  border-right: solid 2px rgba(192, 197, 210, 0.6);
}

button:disabled {
  opacity: 50%;
  text-decoration: line-through;
}

input[type="radio"] {
  accent-color: #6d5d80;
}

#modal-overlay {
  position: fixed;
  top: 0;
  padding-top: 25px;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #1e1e1e;
  z-index: 2147483650;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  animation: fade-in 0.5s ease;
}
#modal {
  display: flex;
  flex-direction: column;
  gap: 15px;
  background: #282b2c;
  border-top: solid 2px rgba(192, 197, 210, 0.45);
  border-left: solid 2px rgba(192, 197, 210, 0.45);
  border-bottom: solid 2px rgba(192, 197, 210, 0.45);
  border-right: solid 2px rgba(192, 197, 210, 0.45);
  color: #c0c5d2;
  padding: 15px;
  max-width: 700px;
  min-height: calc(100vh - 150px);
  width: calc(100vw - 50px);
  text-align: left;
  z-index: 2147483651;
  position: relative;
  animation: border-alternate 45s linear infinite;
}
#modal.small {
  font-size: 0.85rem;
}
#modal.small p, #modal.small a, #modal.small label, #modal.small input {
  font-size: 0.85rem;
}
#modal a.no-link {
  text-decoration: none;
}
#modal p {
  margin: 0;
}
#modal label, #modal input {
  cursor: default;
}